class Duree :
	def __init__(self, h = 0, m = 0, s = 0):
		self.__heure = h
		self.__minute = m
		self.__seconde = s
		format()
	def format(self):
		m = 0
		h = 0
		if self.__seconde > 59 :
			m = self.__seconde DIV 60
			self.__seconde %= 60
		self.__minute += m
		if self.__minute > 59 :
			m = self.__minute DIV 60
			self.__minute %= 60
		self.__heure += h 

	def __str__(self) :
		return str(self.__heure)+":"+str(self.__minute)+":"+str(self.__seconde)

	def ajouter(n) :
		self.__seconde += n 
		format()
	def convertir() :
		return self.__heure * 3600 + self.__minute * 60 + self.__seconde